Bug 1005515 - TypeError: translate() takes exactly one argument (2 given)
TypeError: translate() takes exactly one argument (2 given)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
19
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 17:00 EDT by Jacek Wielemborek
Modified: 2014-12-06 05:18 EST (History)
3 users (show)

See Also:
Fixed In Version: wicd-1.7.2.4-14.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-08 15:15:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacek Wielemborek 2013-09-07 17:00:05 EDT
Description of problem:

I'm unable to set up WPA2 key for my network, when I try to click OK the GUI does not react and I get a stdout error message.

Version-Release number of selected component (if applicable):

1.7.2.4

How reproducible:

Always, at least on my laptop

Steps to Reproduce:
1. Run wicd-gtk
2. Open settings for any network
3. Try to click "ok"

Actual results:

No GUI reaction, following message is in the terminal:

setting encryption info...
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/gui.py", line 676, in edit_advanced
    if self.run_settings_dialog(dialog, ttype, networkid, networkentry):
  File "/usr/share/wicd/gtk/gui.py", line 689, in run_settings_dialog
    if self.save_settings(nettype, networkid, networkentry):
  File "/usr/share/wicd/gtk/gui.py", line 654, in save_settings
    if not networkentry.save_wireless_settings(networkid):
  File "/usr/share/wicd/gtk/netentry.py", line 940, in save_wireless_settings
    return self.advanced_dialog.save_settings(networkid)
  File "/usr/share/wicd/gtk/netentry.py", line 591, in save_settings
    encrypt_methods[self.combo_encryption.get_active()]['type'])
  File "/usr/share/wicd/gtk/netentry.py", line 532, in set_net_prop
    wireless.SetWirelessProperty(self.networkID, option, value)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1066, in SetWirelessProperty
    prop = misc.sanitize_config(prop)
  File "/usr/lib/python2.7/site-packages/wicd/misc.py", line 433, in sanitize_config
    return s.translate(None, table)
TypeError: translate() takes exactly one argument (2 given)


Expected results:

The entered settings get validated and GUI reacts based on what I entered.

Additional info:

Strangely, I even tried to edit /usr/lib/python2.7/site-packages/wicd/misc.py to change the call and while the error message showed the modified line of code, the error message was the same. I tried removing /usr/lib/python2.7/site-packages/wicd/misc.py* as well.
Comment 1 Skippy 2013-12-21 16:53:34 EST
I have exactly the same issue with WEP key.

In addition, after closing the properties window (the "cancel" button does not work more than the "OK" one), it is not accessible anymore (the properties window) : when trying to open it only a blank grey box pops up, until you close the main window and reopen it.
Comment 2 Fedora Update System 2014-09-25 16:15:43 EDT
wicd-1.7.2.4-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-9.fc19
Comment 3 Fedora Update System 2014-09-25 16:32:14 EDT
wicd-1.7.2.4-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-13.fc21
Comment 4 Fedora Update System 2014-09-25 16:32:43 EDT
wicd-1.7.2.4-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-12.fc20
Comment 5 Fedora Update System 2014-09-26 05:04:15 EDT
Package wicd-1.7.2.4-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11545/wicd-1.7.2.4-12.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-09-29 09:07:34 EDT
wicd-1.7.2.4-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-13.fc20
Comment 7 Fedora Update System 2014-09-29 09:44:17 EDT
wicd-1.7.2.4-14.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-14.fc21
Comment 8 Fedora Update System 2014-10-08 15:15:34 EDT
wicd-1.7.2.4-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-11-27 03:36:40 EST
wicd-1.7.2.4-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-12-06 05:18:07 EST
wicd-1.7.2.4-14.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.